> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cdp.coinbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# private/cancel_by_label

> Cancels all orders (including trigger orders) that have a specific label. This is useful for managing groups of related orders that share the same label.

Orders can be cancelled across all currencies or filtered to a specific currency. When cancelling by currency, the currency queue is used for processing.

**Rate Limits:** When called without the `currency` parameter, this method is subject to `cancel_all` rate limits. Different rate limit values may apply for per-currency cancels versus calls without providing the currency parameter.

**Scope:** `rat#trade` or `wallet:buys:create`

[Try in API console](https://test.deribit.com/api_console?method=%2Fprivate%2Fcancel_by_label)





## OpenAPI

````yaml /api-reference/coinbase-deribit-app-api/adv-starbase-openapi.json get /private/cancel_by_label
openapi: 3.0.0
info:
  description: Coinbase Retail Advanced Trade API for derivatives trading.
  title: Coinbase Retail Advanced Trade (Deribit) API
  version: 2.1.1
servers:
  - url: https://drb.coinbase.com/api/v2
security: []
tags:
  - description: Can only be used over websockets.
    name: WebSocket Only
  - description: Public methods can be used without authentication.
    name: Public
  - description: >-
      <p>Private methods require authentication. All requests must include a
      valid OAuth2 token.</p>

      <p>A token can be requested using the <a
      href="#public-auth">/public/auth</a> method.</p>

      <p>When using the websockets protocol, the token must be included as a
      parameter <code>access_token</code> in the message. When using REST (HTTP
      GET), the token may also be passed in the <code>Authorization</code>
      header.</p>
    name: Private
  - name: Authentication
  - name: Session Management
  - description: >-
      Subscription works as [notifications](#notifications), so users will
      automatically (after subscribing) receive messages from the server.
      Overview for each channel response format is described in
      [subscriptions](#subscriptions) section.
    name: Subscription Management
  - name: Account Management
  - name: Trading
  - name: Market Data
paths:
  /private/cancel_by_label:
    get:
      tags:
        - Trading
        - Matching Engine
        - Private
      description: >+
        Cancels all orders (including trigger orders) that have a specific
        label. This is useful for managing groups of related orders that share
        the same label.


        Orders can be cancelled across all currencies or filtered to a specific
        currency. When cancelling by currency, the currency queue is used for
        processing.


        **Rate Limits:** When called without the `currency` parameter, this
        method is subject to `cancel_all` rate limits. Different rate limit
        values may apply for per-currency cancels versus calls without providing
        the currency parameter.


        **Scope:** `rat#trade` or `wallet:buys:create`


        [Try in API
        console](https://test.deribit.com/api_console?method=%2Fprivate%2Fcancel_by_label)

      parameters:
        - description: user defined label for the order (maximum 64 characters)
          in: query
          name: label
          required: true
          schema:
            type: string
        - description: The currency symbol
          in: query
          name: currency
          required: false
          schema:
            $ref: '#/components/schemas/currency'
      requestBody:
        content:
          application/json:
            examples:
              request:
                description: JSON-RPC Request Example
                value:
                  id: 47
                  jsonrpc: '2.0'
                  method: private/cancel_by_label
                  params:
                    label: label
        description: JSON-RPC request body
      responses:
        '200':
          $ref: '#/components/responses/PrivateCancelAllResponse'
components:
  schemas:
    currency:
      description: Currency, i.e `"BTC"`, `"ETH"`, `"USDC"`
      enum:
        - BTC
        - ETH
        - USDC
        - USDT
        - EURR
      type: string
    PrivateCancelAllResponse:
      properties:
        id:
          description: The id that was sent in the request
          type: integer
        jsonrpc:
          description: The JSON-RPC version (2.0)
          enum:
            - '2.0'
          type: string
        result:
          description: Total number of successfully cancelled orders
          example: 7
          type: number
      required:
        - jsonrpc
        - result
      type: object
  responses:
    PrivateCancelAllResponse:
      content:
        application/json:
          examples:
            response:
              description: Response example
              value:
                id: 47
                jsonrpc: '2.0'
                result: 4
          schema:
            $ref: '#/components/schemas/PrivateCancelAllResponse'
      description: Success response

````